Katello - Bug #6427

nesting organization produces ISE with: You cannot set an organization's parent_id. This feature is
disabled.

06/28/2014 05:00 PM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Brad Buckingham

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1109737 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1109737
Description of problem:
nesting organization produces ISE with: You cannot set an organization's parent_id. This feature is disabled.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140612.1

How reproducible:
always

Steps to Reproduce:
1. Have some organization and attempt to "Nest" it
Administer -> Organizations -> <some_org> Nest

Actual results:

Oops, we're sorry but something went wrong

Error

ERF42-6434 [Foreman::Exception]: You cannot set an organization's parent_id. This feature is disabled.

Expected results:
Should work or button should not be there or proper error should be shown

Additional info:
In the log there is:

> /var/log/foreman/production.log <

Processing by OrganizationsController#nest as HTML

Parameters: {"id"=>"4-red-hat"}

Operation FAILED: ERF42-6434 [Foreman::Exception]: You cannot set an organization's parent_id. This feature is disabled.
Rendered common/500.html.erb within layouts/application (4.0ms)

Rendered layouts/base.html.erb (1.1ms)

Completed 500 Internal Server Error in 20ms (Views: 7.0ms | ActiveRecord: 0.8ms)

Associated revisions

Revision 760ce856 - 06/30/2014 08:22 AM - Brad Buckingham

fixes #6427 / BZ 1109737 - remove Nest option from taxonomy actions

This commit removes Nest as a valid option for taxonomies (e.g Organization
& Location)

Revision 5e26bf9f - 07/01/2014 08:28 AM - Brad Buckingham
Merge pull request #4362 from bbuckingham/issue-6427

fixes #6427 / BZ 1109737 - remove Nest option from taxonomy actions
https://bugzilla.redhat.com/show_bug.cgi?id=1109737

History

#1 - 06/28/2014 05:04 PM - Brad Buckingham
- Assignee set to Brad Buckingham

- Target version set to 48

- translation missing: en.field_release set to 13

- Triaged set to Yes

#2 - 07/01/2014 09:03 AM - Brad Buckingham
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|760ce8560ca5c6e636b5d0d9a84{61e9f76ca343.
